summaryrefslogtreecommitdiffstats
path: root/academic/RepeatMasker
diff options
context:
space:
mode:
author Petar Petrov2018-01-12 23:52:20 +0100
committer Willy Sudiarto Raharjo2018-01-13 01:13:05 +0100
commit08da4a154dfcf2a0b187b0a3a4f467eeb3b3b1e5 (patch)
treed916bb2907a77e7f1be38d80a67729c662155408 /academic/RepeatMasker
parent7e06cba42fde15af4055d31241cd224ac23ed303 (diff)
downloadslackbuilds-08da4a154dfcf2a0b187b0a3a4f467eeb3b3b1e5.tar.gz
academic/RepeatMasker: Added (Screen DNA sequence).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic/RepeatMasker')
-rw-r--r--academic/RepeatMasker/README31
-rw-r--r--academic/RepeatMasker/README.SLACKWARE31
-rw-r--r--academic/RepeatMasker/References9
-rw-r--r--academic/RepeatMasker/RepeatMasker.SlackBuild80
-rw-r--r--academic/RepeatMasker/RepeatMasker.info10
-rw-r--r--academic/RepeatMasker/slack-desc19
6 files changed, 180 insertions, 0 deletions
diff --git a/academic/RepeatMasker/README b/academic/RepeatMasker/README
new file mode 100644
index 0000000000..a62062fa85
--- /dev/null
+++ b/academic/RepeatMasker/README
@@ -0,0 +1,31 @@
+RepeatMasker is a program that screens DNA sequences for interspersed
+repeats and low complexity DNA sequences. The output of the program is a
+detailed annotation of the repeats that are present in the query
+sequence as well as a modified version of the query sequence in which
+all the annotated repeats have been masked (default: replaced by Ns).
+
+Currently over 56% of human genomic sequence is identified and masked by
+the program. Sequence comparisons in RepeatMasker are performed by one
+of several popular search engines including:
+
+- nhmmer (part of 'HMMER', available on SBo)
+- Cross_Match. Due to licensing, you should obtain this yourself:
+ http://www.phrap.org
+- ABBlast/WUBlast. Due to licensing, you should obtain this yourself:
+ https://blast.advbiocomp.com/licensing/
+- RMBlast (found as 'ncbi-rmblastn' on SBo)
+
+RepeatMasker makes use of curated libraries of repeats and currently
+supports Dfam (profile HMM library derived from Repbase sequences) and
+Repbase, a service of the Genetic Information Research Institute.
+
+WARNING!
+Due to the bundled databases, the installed size of this is 1.8 GiB!
+
+NOTE!
+The package is installed in /opt. After install go fo /opt/RepeatMasker
+and run the RepeatMasker Configuration Program:
+
+# perl ./configure
+
+See README.SLACKWARE for details.
diff --git a/academic/RepeatMasker/README.SLACKWARE b/academic/RepeatMasker/README.SLACKWARE
new file mode 100644
index 0000000000..dd3313fd62
--- /dev/null
+++ b/academic/RepeatMasker/README.SLACKWARE
@@ -0,0 +1,31 @@
+After install go fo /opt/RepeatMasker and run the RepeatMasker
+Configuration Program:
+
+# perl ./configure
+
+Paths are as follows:
+
+**PERL PROGRAM**
+/usr/bin/perl
+
+**REPEATMASKER INSTALLATION DIRECTORY**
+/opt/RepeatMasker
+
+**TRF PROGRAM**
+/usr/bin/trf
+
+Add a Search Engine:
+1. CrossMatch: you should obtain this yourself, with the proper
+ license, following the instructions here http://www.phrap.org/
+2. RMBlast - NCBI Blast with RepeatMasker extensions: this is
+ available from SBo.
+3. WUBlast/ABBlast (required by DupMasker): you should obtain this
+ yourself, with the proper license, following the instructions here
+ https://blast.advbiocomp.com/licensing/
+4. HMMER3.1 & DFAM: this is available from SBo.
+
+**RMBlast (rmblastn) INSTALLATION PATH**
+/usr/bin
+
+**HMMER INSTALLATION PATH**
+/usr/bin
diff --git a/academic/RepeatMasker/References b/academic/RepeatMasker/References
new file mode 100644
index 0000000000..e74438871f
--- /dev/null
+++ b/academic/RepeatMasker/References
@@ -0,0 +1,9 @@
+Please use the following for both the website and the RepeatMasker software package:
+
+Smit, AFA, Hubley, R & Green, P. RepeatMasker Open-4.0.
+2013-2015 <http://www.repeatmasker.org>.
+
+or
+
+Smit, AFA, Hubley, R & Green, P. RepeatMasker Open-3.0.
+1996-2010 <http://www.repeatmasker.org>.
diff --git a/academic/RepeatMasker/RepeatMasker.SlackBuild b/academic/RepeatMasker/RepeatMasker.SlackBuild
new file mode 100644
index 0000000000..033e2ffbfd
--- /dev/null
+++ b/academic/RepeatMasker/RepeatMasker.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for RepeatMasker
+
+# Copyright 2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=RepeatMasker
+VERSION=${VERSION:-4.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVER=${SRCVER:-4-0-7}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-open-$SRCVER.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Place everything in /opt...
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+# Make a symlink
+mkdir -p $PKG/usr/bin
+cd $PKG/usr/bin
+ln -s ../../opt/$PRGNAM/$PRGNAM
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Better just copy these and not move them from their original dir
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ daterepeats.help INSTALL license.txt README repeatmasker.help \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/RepeatMasker/RepeatMasker.info b/academic/RepeatMasker/RepeatMasker.info
new file mode 100644
index 0000000000..751dfbd308
--- /dev/null
+++ b/academic/RepeatMasker/RepeatMasker.info
@@ -0,0 +1,10 @@
+PRGNAM="RepeatMasker"
+VERSION="4.0.7"
+HOMEPAGE="http://www.repeatmasker.org/"
+DOWNLOAD="http://www.repeatmasker.org/RepeatMasker-open-4-0-7.tar.gz"
+MD5SUM="4dcbd7c88c5343e02d819f4b3e6527c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Text-Soundex trfind HMMER ncbi-rmblastn"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/RepeatMasker/slack-desc b/academic/RepeatMasker/slack-desc
new file mode 100644
index 0000000000..2615519481
--- /dev/null
+++ b/academic/RepeatMasker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+RepeatMasker: RepeatMasker (Screen DNA sequence for interspersed repeats)
+RepeatMasker:
+RepeatMasker: RepeatMasker is a program that screens DNA sequences for inter-
+RepeatMasker: spersed repeats and low complexity DNA sequences. The output of
+RepeatMasker: the program is a detailed annotation of the repeats that are
+RepeatMasker: present in the query sequence as well as a modified version of
+RepeatMasker: the query sequence in which all the annotated repeats have been
+RepeatMasker: masked (default: replaced by Ns).
+RepeatMasker:
+RepeatMasker: Home: http://www.repeatmasker.org/
+RepeatMasker: